#!/bin/sh

case `uname -s` in

  Darwin)
    echo 'CXX = clang++' > Makefile.rules
    echo 'CXXFLAGS_PLATFORM = ' >> Makefile.rules
    echo 'LFLAGS = -flto' >> Makefile.rules
    ;;

  Linux)
    echo 'CXX = g++' > Makefile.rules
    echo 'CXXFLAGS_PLATFORM = -mssse3 -msse4.2' >> Makefile.rules
    echo 'LFLAGS = ' >> Makefile.rules
    ;;

esac
